/*
 Theme Name:   StorElevate Child
 Description:  StorElevate Child Theme
 Author:       XTemos
 Author URI:   http://storelevate.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/

:root {
    /* Archive Buy Now */
    --buy-now-bg: #009b4d;

	/* Single Buy Now */
	--buy-now-gradient-start: #009b4d;
	--buy-now-gradient-middle: #44cb39;
    --buy-now-gradient-end: #009b4d;
	--buy-now-button-text: #120037;
	--buy-now-button-text-hover: #000000;
	--buy-now-button-text-shadow: #ffffff;
	--buy-now-box-shadow: #009b4d;
	--buy-now-button-border: #ffffff;

	/* Archive Add to Cart */
    --add-to-cart-bg: #120037;

	/* Single Add to Cart */
	--add-to-cart-gray: #a6a6a6;
	--add-to-cart-white: #ffffff;
	--add-to-cart-button-text: #006674;
	--add-to-cart-button-text-hover: #000000;

	/* Place Order */
	--place-order-gradient-start: #009b4d;
	--place-order-gradient-middle: #44cb39;
    --place-order-gradient-end: #009b4d;
	--place-order-button-text: #120037;
	--place-order-button-text-hover: #000000;
	--place-order-box-shadow: #009b4d;
	--place-order-border: #ffffff;

	/* Category Card */
	--category-title-text: #ffffff;
	--category-title-bg: #009b4d;
    --category-title-border-top: #d9fdf6;
	--category-title-shadow: rgba(0, 0, 0, 0.5);
	--category-box-shadow: rgba(0, 0, 0, 0.7);
    
    /* Product Card */
    --product-card-bg: #eafff5;
	--border-hover: #009b4d;
    --border-light: #00114242;
	--shadow-light: rgba(0, 0, 0, 0.1);
	--shadow-hover: #009b4d;
}

/* Product Card Styles */
.wd-product { border-top: 2px dashed var(--border-light); border-right: 3px solid var(--border-light); border-bottom: 2px dashed var(--border-light); border-left: 3px solid var(--border-light); border-radius: 8px; padding: 8px; background-color: var(--product-card-bg); box-shadow: 0 4px 5px var(--shadow-light); transition: all linear 0.2s; }
.wd-product:hover { border-top: 2px solid var(--border-hover); border-right: 3px solid var(--border-hover); border-bottom: 2px solid var(--border-hover); border-left: 3px solid var(--border-hover); box-shadow: 0 0 20px var(--shadow-hover); }
.wd-product.wd-hover-standard .wd-add-btn { width: 50% !important; margin-bottom: -3px !important; align-self: end !important; }
.add_to_cart_button { width: 100% !important; height: 40px !important; margin-left: 5px !important; border-radius: 8px !important; background-color: var(--add-to-cart-bg) !important; }
.dbn-buy-now-button { width: 50% !important; align-self: start !important; margin-top: -50px !important; background-color: var(--buy-now-bg) !important; border-radius: 8px; margin-left: 0 !important; }

/* Category Card Design */
.wd-cat { box-shadow: -2px 2px 10px var(--category-box-shadow); border-radius: 30px 0 30px 0; transition: all linear 0.3s; }
.wd-cat:hover { transform: scale(1.05); }
.wd-cat-inner { border-radius: 30px 0 30px 0 !important; }
.category-image-wrapp { border-radius: 30px 0 30px 0 !important; }
.wd-cat-content { position: absolute !important; bottom: 0 !important; width: 100% !important; background-color: var(--category-title-bg); border-top: 2px solid var(--category-title-border-top); border-radius: 30px 0 30px 0; box-shadow: -2px -2px 10px var(--category-title-shadow) inset; }
.wd-cat-content > h3 { color: var(--category-title-text) !important; }

/* Single Buy Now Button Design */
.wd-buy-now-btn { background-image: linear-gradient(to right, var(--buy-now-gradient-start), var(--buy-now-gradient-middle), var(--buy-now-gradient-end)); color: var(--buy-now-button-text); font-size: 22px; text-shadow: 0 0 10px var(--buy-now-button-text-shadow); font-family: "Anek Bangla", sans-serif; border: 2px solid var(--buy-now-button-border) !important; box-shadow: 0 0 10px var(--buy-now-box-shadow) !important; animation: rotateShakeWait 4s infinite ease-in-out; }
@keyframes rotateShakeWait {
    0% { transform: rotate(0deg); }
    4% { transform: rotate(-4deg); }
    8% { transform: rotate(4deg); }
    12% { transform: rotate(-4deg); }
    16% { transform: rotate(0deg); }
    100% { transform: rotate(0deg); }
}
.wd-buy-now-btn:hover { color: var(--buy-now-button-text-hover); font-size: 25px; text-shadow: 0 0 7px var(--buy-now-button-text-shadow); }

/* Single Add to Cart Button Design */
.single_add_to_cart_button { background-image: linear-gradient(to right, var(--add-to-cart-gray), var(--add-to-cart-white)); color: var(--add-to-cart-button-text); border: 1px solid var(--add-to-cart-gray) !important; font-size: 20px; font-family: "Anek Bangla", sans-serif; }
.single_add_to_cart_button:hover { color: var(--add-to-cart-button-text-hover); }

/* Place Order Button Design */
#place_order { background-image: linear-gradient(to right, var(--place-order-gradient-start), var(--place-order-gradient-middle), var(--place-order-gradient-end)); color: var(--place-order-button-text); font-size: 22px; font-family: "Anek Bangla", sans-serif; border: 2px solid var(--place-order-border) !important; box-shadow: 0 0 10px var(--place-order-box-shadow) !important; }
#place_order:hover { transform: scale(0.9); transition: transform 0.2s ease; color: var(--place-order-button-text-hover); }

/* Input Fields */
#billing_address_1 { height: auto !important; min-height: 55px !important; overflow-y: hidden; resize: none; line-height: 1.4; }
#order_comments { height: auto !important; min-height: 85px !important; overflow-y: hidden; resize: none; line-height: 1.4; }
.woocommerce-shipping-fields { display: none; }

@media screen and (max-width: 768px) {
	.cat-design-center.without-product-count .wd-cat-content { transform: translateY(0) translateZ(0) !important; }
    .cat-design-center .wd-cat-content { position: absolute !important; top: 80% !important; inset-inline: 0; z-index: 3; padding: 10px !important; transition: transform .3s ease; }
    .wd-product.wd-hover-standard .wd-add-btn { width: 100% !important; margin-top: 50px !important; margin-bottom: -50px !important; }
    .add_to_cart_button { margin-left: 0px !important; }
    .dbn-buy-now-button { width: 100% !important; margin-top: -50px !important; margin-bottom: 50px !important; }
}